Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
author,
parent,
organisation,
scheme,
work_order,
qualification_award
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
name,
-name,
size,
-size,
document_count,
-document_count,
created_at,
-created_at
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • organisation_in: Filter folders where the organisation ID is in the provided list.
  • parent: Filter folders where the parent folder ID is in the provided list.
  • is_root: Filter folders where the parent folder ID is null.

For more information on using named filters, see the docs

Response

Get a list of folders.

JSON API response object

data
object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a folder is returned

A folder